package netelement

import (
	"ems.agt/src/framework/logger"
	"ems.agt/src/framework/middleware"
	"ems.agt/src/modules/net_element/controller"

	"github.com/gin-gonic/gin"
)

// 模块路由注册
func Setup(router *gin.Engine) {
	logger.Infof("开始加载 ====> net_element 模块路由")

	// 网元信息
	netInfoGroup := router.Group("/ne-info")
	{
		netInfoGroup.GET("/info",
			middleware.PreAuthorize(nil),
			controller.NewNeInfo.NeTypeAndID,
		)
	}
}
